##### basic_seq_packet_socket::wait (1 of 2 overloads)

Inherited from basic_socket.

Wait for the socket to become ready to read, ready to write, or to have pending error conditions.

    void wait(
        wait_type w);

This function is used to perform a blocking wait for a socket to enter a ready to read, write or error condition state.

###### Parameters

w

  Specifies the desired socket state.

###### Example

Waiting for a socket to become readable.

    asio::ip::tcp::socket socket(my_context);
    ...
    socket.wait(asio::ip::tcp::socket::wait_read);